System.Design 2.0.0.0 System.Object

The sole purpose of a is to paint and hit test. A does not have a window handle (HWND), as it is rendered on the adorner window control of the . Each can have a associated with it. A successfully hit-tested has the opportunity to push a new or different onto the behavior stack of the .

For more information, see Behavior Service Overview.

Represents a single user interface (UI) entity managed by an .

- Constructor
  2.0.0.0
  To be added.

  Initializes a new instance of the class.

  The associated with the . Can be null.
- Property
  2.0.0.0
  System.Windows.Forms.Design.Behavior.Behavior To be added. To be added.

  Gets the associated with the .

- Property
  2.0.0.0
  System.Drawing.Rectangle To be added. To be added.

  Gets the bounds of the .

- Method
  2.0.0.0
  System.Windows.Forms.Cursor ``

  The method is an abstract method that forces implementations to provide hit test logic. Given any point, if the has decided to be involved with that location, it will need to return a valid . Otherwise, returning null will cause the to ignore the location.

  Provides hit test logic.

  A if the is associated with ; otherwise, null.

  A point to hit-test.
- Method
  2.0.0.0
  System.Void ``

  The method is an abstract method that forces implementations to provide paint logic. The parameter contains the related to the adorner window of the .

  Provides paint logic.

  A that contains the event data.
- Method
  2.0.0.0
  System.Void `` To be added.

  Changes the associated with the .

  A to associate with the .